- entityDefinitions:
  - IDM_Product_Type__get__Name: '{d55a7b37-24e3-475e-9bad-742f6f287f94}'
  - IDMB_Product_Type__get__Name: '{2f917338-8930-4d2d-bfb7-dca0d191ccc1}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - getAttributeMethod: '&IDM_Product_Type__get__Name;'
    forClassId: '&IDC_ProductType;'
    verb: 'get'
    name: 'Name'
    accessModifierId: '&IDI_AccessModifier_Public;'
    returnsAttributeId: '&IDA_Name;'
    
  - returnAttributeMethodBinding: '&IDMB_Product_Type__get__Name;'
    executesMethod: '&IDM_Product_Type__get__Name;'
